Generation Framework

## org.eclipse.gmf.tooldef.impl
Class PopupMenuImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.tooldef.impl.MenuImpl
                      org.eclipse.gmf.tooldef.impl.PopupMenuImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ContributionItem, ItemBase, Menu, PopupMenu

    public class PopupMenuImpl

extends MenuImpl
implements PopupMenu

An implementation of the model object 'Popup Menu'.

The following features are implemented:

- `Icon`
- `Title`
- `ID`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected Image` `icon` The cached value of the '`Icon`' containment reference
`protected java.lang.String` `iD` The cached value of the '`ID`' attribute
`protected static java.lang.String` `ID_EDEFAULT` The default value of the '`ID`' attribute
`protected java.lang.String` `title` The cached value of the '`Title`' attribute
`protected static java.lang.String` `TITLE_EDEFAULT` The default value of the '`Title`' attribute

Fields inherited from class org.eclipse.gmf.tooldef.impl.MenuImpl
`items`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `PopupMenuImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetIcon(Image newIcon, org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Image` `getIcon()`
`java.lang.String` `getID()`
`java.lang.String` `getTitle()`
`void` `setIcon(Image newIcon)`
`void` `setID(java.lang.String newID)`
`void` `setTitle(java.lang.String newTitle)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.tooldef.impl.MenuImpl
`getItems`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.tooldef.Menu
`getItems`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### icon

    protected Image icon

  The cached value of the '`Icon`' containment reference.

  See Also:
    `getIcon()`
  ** Generated **
  Ordered:

### TITLE_EDEFAULT

    protected static final java.lang.String TITLE_EDEFAULT

  The default value of the '`Title`' attribute.

  See Also:
    `getTitle()`
  ** Generated **
  Ordered:

### title

    protected java.lang.String title

  The cached value of the '`Title`' attribute.

  See Also:
    `getTitle()`
  ** Generated **
  Ordered:

### ID_EDEFAULT

    protected static final java.lang.String ID_EDEFAULT

  The default value of the '`ID`' attribute.

  See Also:
    `getID()`
  ** Generated **
  Ordered:

### iD

    protected java.lang.String iD

  The cached value of the '`ID`' attribute.

  See Also:
    `getID()`
  ** Generated **
  Ordered:

Constructor Detail

### PopupMenuImpl

    protected PopupMenuImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `MenuImpl`
  ** Generated **

### getIcon

    public Image getIcon()

  Specified by:
    `getIcon` in interface `ContributionItem`
  Returns:
    the value of the 'Icon' containment reference.
  See Also:
    `ContributionItem.setIcon(Image)`, `GMFToolPackage.getContributionItem_Icon()`
  ** Generated **

### basicSetIcon

    public org.eclipse.emf.common.notify.NotificationChain basicSetIcon(Image newIcon,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setIcon

    public void setIcon(Image newIcon)

  Specified by:
    `setIcon` in interface `ContributionItem`
  Parameters:
    `newIcon` - the new value of the 'Icon' containment reference.
  See Also:
    `ContributionItem.getIcon()`
  ** Generated **

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `ContributionItem`
  Returns:
    the value of the 'Title' attribute.
  See Also:
    `ContributionItem.setTitle(String)`, `GMFToolPackage.getContributionItem_Title()`
  ** Generated **

### setTitle

    public void setTitle(java.lang.String newTitle)

  Specified by:
    `setTitle` in interface `ContributionItem`
  Parameters:
    `newTitle` - the new value of the 'Title' attribute.
  See Also:
    `ContributionItem.getTitle()`
  ** Generated **

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `PopupMenu`
  Returns:
    the value of the 'ID' attribute.
  See Also:
    `PopupMenu.setID(String)`, `GMFToolPackage.getPopupMenu_ID()`
  ** Generated **

### setID

    public void setID(java.lang.String newID)

  Specified by:
    `setID` in interface `PopupMenu`
  Parameters:
    `newID` - the new value of the 'ID' attribute.
  See Also:
    `PopupMenu.getID()`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `MenuImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `MenuImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `MenuImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `MenuImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `MenuImpl`
  ** Generated **

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.